package com.hw.ems.report.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 电整点数据对象 report_point_dnb
 *
 * @author YinQ
 * @date 2023-04-05
 */
public class ReportPointDnb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 权限标识（部门） */
//    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 园区名称 */
//    @Excel(name = "园区名称")
    private String deptName;

    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /** 计量设备名称 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 计量设备编号父级 */
//    @Excel(name = "计量设备编号父级")
    private String pMonitorId;

    /** 计量设备位置 */
    @Excel(name = "计量设备位置")
    private String address;

    /** 耗量 */
    @Excel(name = "耗量")
    private BigDecimal expend;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 整点 */
//    @Excel(name = "整点")
    private String pointTime;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    /** 修改标识 */
//    @Excel(name = "修改标识")
    private Long updateFlag;

    /** 仪表值 */
    @Excel(name = "仪表值")
    private BigDecimal meterValue;

    /** 采集方式 */
//    @Excel(name = "采集方式")
    private Long collectType;

    /** 权限标识（用户） */
//    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    /**
     * 查询子集
     */
    private String monitorSubset;

    /**
     * 日期类型
     */
    private String dateType;

    /** 公摊表类型 */
    private Integer publicShareType;

    public Integer getPublicShareType() {
        return publicShareType;
    }

    public void setPublicShareType(Integer publicShareType) {
        this.publicShareType = publicShareType;
    }

    public String getDateType() {
        return dateType;
    }

    public void setDateType(String dateType) {
        this.dateType = dateType;
    }

    public String getMonitorSubset() {
        return monitorSubset;
    }

    public void setMonitorSubset(String monitorSubset) {
        this.monitorSubset = monitorSubset;
    }

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setMonitorName(String monitorName)
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName()
    {
        return monitorName;
    }
    public void setpMonitorId(String pMonitorId)
    {
        this.pMonitorId = pMonitorId;
    }

    public String getpMonitorId()
    {
        return pMonitorId;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setExpend(BigDecimal expend)
    {
        this.expend = expend;
    }

    public BigDecimal getExpend()
    {
        return expend;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setPointTime(String pointTime)
    {
        this.pointTime = pointTime;
    }

    public String getPointTime()
    {
        return pointTime;
    }
    public void setBeginTime(Date beginTime)
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime()
    {
        return beginTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setRecordTime(Date recordTime)
    {
        this.recordTime = recordTime;
    }

    public Date getRecordTime()
    {
        return recordTime;
    }
    public void setUpdateFlag(Long updateFlag)
    {
        this.updateFlag = updateFlag;
    }

    public Long getUpdateFlag()
    {
        return updateFlag;
    }
    public void setMeterValue(BigDecimal meterValue)
    {
        this.meterValue = meterValue;
    }

    public BigDecimal getMeterValue()
    {
        return meterValue;
    }
    public void setCollectType(Long collectType)
    {
        this.collectType = collectType;
    }

    public Long getCollectType()
    {
        return collectType;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("objid", getObjid())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("monitorId", getMonitorId())
                .append("monitorName", getMonitorName())
                .append("pMonitorId", getpMonitorId())
                .append("address", getAddress())
                .append("expend", getExpend())
                .append("price", getPrice())
                .append("pointTime", getPointTime())
                .append("beginTime", getBeginTime())
                .append("endTime", getEndTime())
                .append("recordTime", getRecordTime())
                .append("updateFlag", getUpdateFlag())
                .append("meterValue", getMeterValue())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("collectType", getCollectType())
                .append("userId", getUserId())
                .toString();
    }
}
